=== modified file '__init__.py'
--- __init__.py	2009-03-11 02:13:43 +0000
+++ __init__.py	2009-03-11 06:44:59 +0000
@@ -31,6 +31,7 @@
     'cmd_branch_history': [],
     'cmd_cbranch': [],
     'cmd_cdiff': [],
+    'cmd_conflict_diff': [],
     'cmd_fetch_ghosts': ['fetch-missing'],
     'cmd_graph_ancestry': [],
     'cmd_import': [],

=== modified file 'command_classes.py'
--- command_classes.py	2009-03-11 02:13:43 +0000
+++ command_classes.py	2009-03-11 06:44:59 +0000
@@ -514,6 +514,32 @@
         colordiff(color, check_style, *args, **kwargs)
 
 
+class cmd_conflict_diff(BzrToolsCommand):
+
+    """Compare a conflicted file against BASE."""
+
+    encoding_type = 'exact'
+    takes_args = ['file']
+    takes_options = [
+        RegistryOption.from_kwargs('new', 'blah', value_switches=True,
+            enum_switch=False,
+            other='Compare OTHER against common base.',
+            this='Compare THIS against common base.')]
+
+    def run(self, file, new='other'):
+        from bzrlib.diff import internal_diff
+        from bzrlib.plugins.bzrtools.colordiff import DiffWriter
+        dw = DiffWriter(self.outf, check_style=False, color='auto')
+        old_path = file + '.BASE'
+        if new == 'other':
+            new_path = file + '.OTHER'
+        else:
+            new_path = file + '.THIS'
+        oldlines = open(old_path).readlines()
+        newlines = open(new_path).readlines()
+        internal_diff(old_path, oldlines, new_path, newlines, dw)
+
+
 class cmd_rspush(BzrToolsCommand):
     """Upload this branch to another location using rsync.
 

